
From: lepton <ytht.net@gmail.com>

There's a "return the wrong SKB" error in the GL620A cable minidriver (for
"usbnet") which can oops.  This would not appear when talking
Linux-to-Linux, only Linux-to-Windows (for recent Linuxes).

Signed-off-by: David Brownell <dbrownell@users.sourceforge.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/usb/net/usbnet.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/usb/net/usbnet.c~usbnet-oops-fix drivers/usb/net/usbnet.c
--- devel/drivers/usb/net/usbnet.c~usbnet-oops-fix	2005-08-22 17:44:04.000000000 -0700
+++ devel-akpm/drivers/usb/net/usbnet.c	2005-08-22 17:44:05.000000000 -0700
@@ -1922,7 +1922,7 @@ static int genelink_rx_fixup (struct usb
 
 			// copy the packet data to the new skb
 			memcpy(skb_put(gl_skb, size), packet->packet_data, size);
-			skb_return (dev, skb);
+			skb_return (dev, gl_skb);
 		}
 
 		// advance to the next packet
_
